<?php
/**
 * @license GNU AGPL version 3 or any later version
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

script('side_menu', 'admin');
style('side_menu', 'admin');

?>

<div id="side-menu-section" class="section">
	<h2 class="inlineblock"><?php p($l->t('Side menu settings')); ?></h2>

    <div>
        <label for="side-menu-background-color" class="settings-hint">
            <?php p($l->t('Background color')); ?>
        </label>
    </div>
    <div>
        <input
            id="side-menu-background-color"
            name="background-color"
            type="color"
            value="<?php print_unescaped($_['background-color']); ?>">
    </div>

    <div>
        <label for="side-menu-current-app-background-color" class="settings-hint">
            <?php p($l->t('Background color of current app')); ?>
        </label>
    </div>
    <div>
        <input
            id="side-menu-current-app-background-color"
            name="current-app-background-color"
            type="color"
            value="<?php print_unescaped($_['current-app-background-color']); ?>">
    </div>

    <div>
        <label for="side-menu-text-color" class="settings-hint">
            <?php p($l->t('Text color')); ?>
        </label>
    </div>
    <div>
        <input
            id="side-menu-text-color"
            name="text-color"
            type="color"
            value="<?php print_unescaped($_['text-color']); ?>">
    </div>

    <div>
        <label for="side-menu-opener" class="settings-hint">
            <?php p($l->t('Opener icon')); ?>
        </label>
    </div>

    <?php
        $choices = [
            'Default' => 'side-menu-opener',
            'Hamburger' => 'side-menu-opener-hamburger',
        ];
    ?>

    <div>
        <select id="side-menu-opener" name="opener">
            <?php foreach ($choices as $label => $value): ?>
                <option value="<?php echo $value ?>" <?php if ($value === $_['opener']): ?>selected<?php endif; ?>>
                    <?php echo $l->t($label);  ?>
                </option>
            <?php endforeach; ?>
        </select>
    </div>

    <input type="hidden" id="side-menu-cache" name="cache" value="<?php print_unescaped($_['cache']); ?>">

    <button id="side-menu-save" class="btn btn-primary"><?php p($l->t('Save')); ?></button>

    <span id="side-menu-message" class="msg"></span>
</div>
